package com.example.mdd.entity;

import lombok.Data;

@Data
public class BaiDu {
    String station_code;
    String time;//数据时间
    String insert_time;//数据插入时间
    String temperature_2m;//2米高度温度
    String relative_humidity_2m;//2米高度相对湿度
    String dew_point_2m;//2米高度露点温度
    String apparent_temperature;//体感温度
    String precipitation_probability;//降水概率
    String precipitation;//降水量
    String rain;//降雨
    String showers;//阵雨
    String snowfall;//降雪量
    String snow_depth;//雪深
    String weather_code;//天气代码
    String pressure_msl;//海平面气压
    String surface_pressure;//地面气压
    String cloud_cover;//云量
    String cloud_cover_low;//低云云量
    String cloud_cover_mid;//中云云量
    String cloud_cover_high;//高云云量
    String visibility;//能见度
    String evapotranspiration;//蒸散量
    String et0_fao_evapotranspiration;//FAO推荐的参考作物蒸散量（ET0）
    String vapour_pressure_deficit;//水汽压亏缺
    String wind_speed_10m;//10米高度风速
    String wind_speed_80m;//80米高度风速
    String wind_speed_120m;//120米高度风速
    String wind_speed_180m;//180米高度风速
    String wind_direction_10m;//10米高度风向
    String wind_direction_80m;//80米高度风向
    String wind_direction_120m;//120米高度风向
    String wind_direction_180m;//180米高度风向
    String wind_gusts_10m;//10米高度阵风风速
    String temperature_80m;//80米高度温度
    String temperature_120m;//120米高度温度
    String temperature_180m;//180米高度温度
    String soil_temperature_0cm;//地表（0厘米）土壤温度
    String soil_temperature_6cm;//6厘米土壤温度
    String soil_temperature_18cm;//18厘米土壤温度
    String soil_temperature_54cm;//54厘米土壤温度
    String soil_moisture_0_to_1cm;//0到1厘米土壤湿度
    String soil_moisture_1_to_3cm;//1到3厘米土壤湿度
    String soil_moisture_3_to_9cm;//3到9厘米土壤湿度
    String soil_moisture_9_to_27cm;//9到27厘米土壤湿度
    String soil_moisture_27_to_81cm;//27到81厘米土壤湿度
    String uv_index;//紫外线指数
    String uv_index_clear_sky;//晴空紫外线指数
    String is_day;//是否为白天
    String cape;//对流有效位能（CAPE）
    String freezing_level_height;//冻结层高度
    String sunshine_duration;//日照时长
    String shortwave_radiation;//短波辐射
    String direct_radiation;//直接辐射
    String diffuse_radiation;//散射辐射
    String direct_normal_irradiance;//直接法向辐照度
    String global_tilted_irradiance;//倾斜面上的全球辐照度
    String terrestrial_radiation;//地面辐射
    String shortwave_radiation_instant;//瞬时短波辐射
    String direct_radiation_instant;//瞬时直接辐射
    String diffuse_radiation_instant;//瞬时散射辐射
    String direct_normal_irradiance_instant;//瞬时直接法向辐照度
    String global_tilted_irradiance_instant;//瞬时倾斜面上的全球辐照度
    String terrestrial_radiation_instant;//瞬时地面辐射
}
