package com.example.mdd.entity;


import lombok.Data;

/**
 * itil场站信息
 **/
@Data
public class PowerStation {
    ////@Schema(description = "ID")
    private String stationId;

    //@Schema(description = "场站编号")
    private String stationCode;

    ////@Schema(description = "省份")
    private String areaCode;

    ////@Schema(description = "集团公司")
    private String groupCompany;

    ////@Schema(description = "业主")
    private String stationOwner;

    ////@Schema(description = "运维方")
    private String stationOperator;

    //@Schema(description = "调度名称")

    private String stationName;

    //@Schema(description = "项目名称")

    private String stationAlias;

    //@Schema(description = "场站类型")

    private String stationType;

    //@Schema(description = "报备装机容量")
    private String installedCapacity;

    //@Schema(description = "实际装机容量")
    private String installedCapacityActual;

    //@Schema(description = "实际并网容量")
    private String installedCapacityLastest;

    //@Schema(description = "经度")
    private String longitude;

    //@Schema(description = "纬度")
    private String latitude;

    //@Schema(description = "地形")
    private String terrainType;

    //    //@Schema(description = "地貌")
    //    private String landformType;

    //@Schema(description = "场站地址")
    private String stationAddress;

    //@Schema(description = "状态")
    private String stationState;

    //@Schema(description = "项目编号")
    private String projectCode;

    //@Schema(description = "外部场站编号")
    private String stationCodeExternal;

    //@Schema(description = "项目执行状态")
    private String projectProgress;

    //@Schema(description = "转运维时间")
    private String projectAcceptanceTime;

    //@Schema(description = "第一次并网时间")
    private String firstOnGridTime;

    //@Schema(description = "全并网时间")
    private String fullOnGridTime;

    //@Schema(description = "最近一次并网时间")
    private String lastExpandTime;

    //@Schema(description = "参与考核时间")
    private String joinGradingTime;

    //@Schema(description = "产品目录")
    private String productCatalog;

    //@Schema(description = "功率预测平台")
    private String ipfcstEdition;

    //@Schema(description = "系统版本号")
    private String softwareVersion;

    //@Schema(description = "核心版本号")
    private String coreVersion;

    //@Schema(description = "C平台版本号")
    private String cpVersion;

    //@Schema(description = "外网服务器下载软件版本")
    private String ftpToolVersion;

    //@Schema(description = "FTP账号（电科院提供）")
    private String epriFtpUser;

    //@Schema(description = "FTP密码（电科院提供）")
    private String epriFtpPwd;

    //@Schema(description = "FTP账号（云平台使用）")
    private String cloudFtpUser;

    //@Schema(description = "FTP密码（云平台使用）")
    private String cloudFtpPwd;

    //@Schema(description = "下载方式")
    private String downloadMode;

    //@Schema(description = "是否可切换云平台")
    private String switchable;

    //@Schema(description = "是否支持二维码扫描")
    private String qrcodeEnable;

    //@Schema(description = "短期模型系数")
    private String stRatio;

    //@Schema(description = "预测天数")
    private String forecastDays;

    //@Schema(description = "文件生成时间")
    private String fileCreationTime;

    //@Schema(description = "预测数据来源")
    private String forecastType;

    //@Schema(description = "预测数据点号")
    private String forecastModel;

    //@Schema(description = "NWP数据来源")
    private String nwpType;

    //@Schema(description = "NWP数据点号")
    private String nwpPoint;

    //@Schema(description = "电科院路径")
    private String epriFilepath;

    //@Schema(description = "象心力路径")
    private String xxlFilepath;

    //@Schema(description = "西班牙路径")
    private String xbyFilepath;

    //@Schema(description = "项目负责人")
    private String projectDirector;

    //@Schema(description = "主备机标识")
    private String multiTag;

    //@Schema(description = "附件数量")
    private Integer numberOfAttachments;

    //@Schema(description = "备注")
    private String remark;

    //@Schema(description = "删除标识")
    private String activeFlag;
    //@Schema(description = "调度标识")
    private String provinceDispatch;

    //@ApiModelProperty(value = "运维负责人")
    private String maintenance;

    //@ApiModelProperty(value = "客服负责人")
    private String customerService;
}

