package com.example.mdd.entity;

import lombok.Data;

@Data
public class XinZhi {
    String id;
    //场站编号
    String stationCode;
    //经度
    String longitude;
    //纬度
    String latitude;
    //时间
    String date;
    //地表 2 米相对湿度(%)
    String humidity;
    //地表 10 米风向
    String direction;
    //风向角度，范围0~360
    String directionDegree;
    //地表 10 米风速
    String speed;
    //风力等级
    String scale;
    //最高温度
    String high;
    //最低温度
    String low;
    //降水量，单位mm
    String rainfall;
    //数据插入日期
    String insertDate;
}
